### Method

# Gck Builder end

#### Declaration [src]

    GckAttributes*
    gck_builder_end (
      GckBuilder* builder
    )

#### Description [src]

Complete the `GckBuilder`, and return the attributes contained in the builder. The `GckBuilder` will be cleared after this function call, and it is no longer necessary to use `gck_builder_clear()` on it, although it is also permitted. The builder may be used again to build another set of attributes after this function call.

The returned set of attributes is floating, and should either be passed to another gck library function which consumes this floating reference, or if you wish to keep these attributes around you should ref them with `gck_attributes_ref_sink()` and unref them later with gck_attributes_unref().

#### Return value

Type: `GckAttributes`

A floating reference to the attributes created in the builder.

The returned data is owned by the instance.